<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div id="team-workitems">
    <th:block th:fragment="team-workitems">
      <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not #lists.isEmpty(workitems)}">
        <thead>
          <tr>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NUMBER}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
            <th class="three wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ASSIGNEDTO}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="workitem : ${workitems}">
            <td><a th:text="${workitem.number}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${workitem.id}}"></a></td>
            <td th:text="${workitem.name}"></td>
            <td th:text="${workitem.contract} != null ? ${workitem.contract.name} : #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY}}"></td>
            <td th:text="${workitem.status.name}"></td>
            <td><th:block th:if="${workitem.assignedTo != null}" th:replace="common/fragments/avatar :: avatarAssigned(field = ${workitem})" /></td>
          </tr>
        </tbody>
      </table>
    </th:block>
  </div>
  <br>
  <div class="ui grid">
    <div class="right floated right aligned column">
      <a class="ui labeled icon button" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TEAMS}}">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK}"></i>
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK}}"></span>
      </a>
      <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_CREATE)">
        <div class="ui primary buttons">
          <div class="ui floating labeled dropdown icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW}}"></span>
            <div class="menu">
              <a class="item" th:each="item : ${typesofworkitem}" th:onclick="'createworkitem(' + ${team.id} + ',' + ${item.id} + ');'" th:text="${item.name}" th:value="${item.id}"> </a>
            </div>
          </div>
        </div>
      </th:block>
    </div>
  </div>
</body>
</html>